# Google Analytics API . data

## Instance Methods

Returns Analytics report data for a view (profile).

### Method Details

`get(ids, start_date, end_date, metrics, sort=None, dimensions=None, filters=None, max_results=None, segment=None, start_index=None)`

    Returns Analytics report data for a view (profile).

    Args:
      ids: string, Unique table ID for retrieving report data. Table ID is of the form ga:XXXX, where XXXX is the Analytics view (profile) ID. (required)
      start_date: string, Start date for fetching report data. All requests should specify a start date formatted as YYYY-MM-DD. (required)
      end_date: string, End date for fetching report data. All requests should specify an end date formatted as YYYY-MM-DD. (required)
      metrics: string, A comma-separated list of Analytics metrics. E.g., 'ga:sessions,ga:pageviews'. At least one metric must be specified to retrieve a valid Analytics report. (required)
      sort: string, A comma-separated list of dimensions or metrics that determine the sort order for the report data.
      dimensions: string, A comma-separated list of Analytics dimensions. E.g., 'ga:browser,ga:city'.
      filters: string, A comma-separated list of dimension or metric filters to be applied to the report data.
      max_results: integer, The maximum number of entries to include in this feed.
      segment: string, An Analytics advanced segment to be applied to the report data.
      start_index: integer, An index of the first entity to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.